echo off
echo ***************************************************************
echo *                       BMP2JPG DEMO                          *
echo *                                                             *
echo * This demo will create 5 directories:                        *
echo *                                                             *
echo *                 comp    Compression Demo                    *
echo *                 qual    Quality Demo                        *
echo *                 types   Format Types Demo                   *
echo *                 resize  Width and Height Demo               *
echo *                 gray    Shades of Gray Demo                 *
echo *                                                             *
echo ***************************************************************
pause
md comp
md qual
md types
md resize
md gray
echo Compression Demo...
echo creating image using fast compression (default)
bmp2jpg -f:demo.bmp -d:comp\demo-fast.jpg
echo creating image using integer precise compression
bmp2jpg -f:demo.bmp -d:comp\demo-precise.jpg -cm:1
echo creating image using floating point compression
bmp2jpg -f:demo.bmp -d:comp\demo-float.jpg -cm:2
echo Quality Demo...
echo creating image using 100% quality
bmp2jpg -f:demo.bmp -d:qual\demo-100.jpg -q:100
echo creating image using 80% quality (default)
bmp2jpg -f:demo.bmp -d:qual\demo-80.jpg
echo creating image using 60% quality
bmp2jpg -f:demo.bmp -d:qual\demo-60.jpg -q:60
echo creating image using 40% quality
bmp2jpg -f:demo.bmp -d:qual\demo-40.jpg -q:40
echo creating image using 20% quality
bmp2jpg -f:demo.bmp -d:qual\demo-20.jpg -q:20
echo creating image using 10% quality
bmp2jpg -f:demo.bmp -d:qual\demo-10.jpg -q:10
echo Format Types Demo...
echo creating image as PNG
bmp2jpg -f:demo.bmp -d:types  -ftype:png
echo creating image as TIF
bmp2jpg -f:demo.bmp -d:types  -ftype:tif
echo creating image as BMP from PNG
bmp2jpg -f:types\demo.png -d:types  -ftype:bmp
echo creating image as JPG from PCX
bmp2jpg -f:demo.pcx -d:types  -ftype:jpg
echo Resizing Demo...
echo creating image new width=100
bmp2jpg -f:demo.bmp -w:100 -d:resize\demo-w100.jpg
echo creating image new height=100
bmp2jpg -f:demo.bmp -h:100 -d:resize\demo-h100.jpg
echo creating image new width=50
bmp2jpg -f:demo.bmp -w:50 -d:resize\demo-w50.jpg
echo creating image new height=50
bmp2jpg -f:demo.bmp -h:50 -d:resize\demo-h50.jpg
echo creating image new size=50%
bmp2jpg -f:demo.bmp -w:0.5 -d:resize\demo-50.jpg
echo creating image new size=25%
bmp2jpg -f:demo.bmp -h:0.25 -d:resize\demo-25.jpg
echo Shades of Gray Demo...
echo creating image with 2 non-dithered shades of gray
bmp2jpg -f:demo.bmp -g:2 -d:gray\demo-2.jpg
echo creating image with 2 dithered shades of gray
bmp2jpg -f:demo.bmp -dg:2 -d:gray\demo-2d.jpg
echo creating image with 4 non-dithered shades of gray
bmp2jpg -f:demo.bmp -g:4 -d:gray\demo-4.jpg
echo creating image with 4 dithered shades of gray
bmp2jpg -f:demo.bmp -dg:4 -d:gray\demo-4d.jpg
echo creating image with 16 non-dithered shades of gray
bmp2jpg -f:demo.bmp -g:16 -d:gray\demo-16.jpg
echo creating image with 16 dithered shades of gray
bmp2jpg -f:demo.bmp -dg:16 -d:gray\demo-16d.jpg
echo creating image with 256 non-dithered shades of gray
bmp2jpg -f:demo.bmp -g:256 -d:gray\demo-256.jpg
echo creating image with 256 dithered shades of gray
bmp2jpg -f:demo.bmp -dg:256 -d:gray\demo-256d.jpg
start demo.htm

